package com.magnifyb.api.dummycontroller;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import org.testng.Assert;
import org.testng.annotations.Test;

import io.restassured.RestAssured;
import io.restassured.response.Response;
import io.restassured.response.ValidatableResponse;
import io.restassured.specification.RequestSpecification;

public class DummyController {
	private static Properties properties;
	RequestSpecification requestSpecification;
	Response response;
	ValidatableResponse validatableResponse;

	static {
		try {
			properties = new Properties();
			String userDir = System.getProperty("user.dir");
			FileInputStream input = new FileInputStream(userDir + "/src/test/java/properties/config.properties");
			properties.load(input);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}


	@Test
	public void get_dummy_sliders() {
		String baseUrl = properties.getProperty("base_url");
		String currentValue = properties.getProperty("currentValue");
		String thisYearValue = properties.getProperty("thisYearValue");
		 response = RestAssured.get(baseUrl + "/get_dummy_sliders/" + currentValue+"/"+thisYearValue);
		int statusCode = response.getStatusCode();
		Assert.assertEquals(statusCode, 200);
	}
}
