package com.magnifyb.pageobjects;

import com.magnifyb.base.BaseClass;

public class FinanceQuestionsPageObjects extends BaseClass {

	// sign in
	public static String signup = "(//div[contains(text(), 'Sign up')])[1]";
	public static String YouremailPleaselogin = "(//div[contains(text(), 'Your email already exists. Please login')])";
	public static String okButton = "//div[contains(text(), 'Ok')]";
	public static String Logintext = "(//div[contains(text(), 'LOGIN')])[1]";
	public static String loginButton = "//button[@type='button']//div[text()='Login']";
	public static String loginText = "//div[text()='LOGIN']";
	public static String emailIDTextField = "//input[@name='username']";
	public static String passwordTextField = "//input[@name='password']";
	public static String signinButton = "//div[text()='Sign in']";
	public static String MyCompanyDashboard = "//div[contains(text(), 'My Company Dashboard')]";
	public static String questionnaire = "(//span[text()='Questionnaire'])[1]";
	public static String questionnaireDropdown = "(//*[local-name()='svg'])[6]";
	public static String moveBusinessAreas = "(//span[@class='MuiTouchRipple-root'])[12]";
	public static String businessareas = "(//span[text()='Business Areas'])[2]";
	public static String finance = "//div[contains(text(), 'Finance')]";

	// Finance questions
	public static String FQ001 = "//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree']";
	public static String FQ002 = "//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Disagree']";
	public static String FQ003 = "//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Agree']";
	public static String FQ004 = "//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Agree']";
	public static String FQ005 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Agree'])[2]";
	public static String nextButton = "//div[contains(text(), 'Next')]";
	

	//Sales business development
	public static String SalesBusinessDevelopment = "//div[contains(text(), 'Sales & Business Development')]";
	public static String SB001 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Disagree'])";
	public static String SB002 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Disagree'])[2]";
	public static String SB003 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Disagree'])[3]";
	public static String SB004 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Disagree'])[4]";
	public static String SB005 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Disagree'])[5]";
	
    //Marketing & Branding
    public static String marketingAndBranding = "//div[contains(text(), 'Marketing & Branding')]";
    public static String MB001 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])";
    public static String MB002 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])[2]";
    public static String MB003 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])[3]";
    public static String MB004 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])[4]";
    public static String MB005 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])[5]";
    
    //Product & Service Development
    public static String productAndServiceDevelopment = "//div[contains(text(), 'Product & Service Development')]";
    public static String PS001 = "//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Agree'][1]";
    public static String PS002 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Agree'])[2]";
    public static String PS003 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Agree'])[3]";
    public static String PS004 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Agree'])[4]";
    public static String PS005 = "(//span[contains(@class, 'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Agree'])[5]";
    
    //Investment & Exit
    public static String investmentAndExit = "(//span[contains(@class,  'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])";
    public static String IE001 = "(//span[contains(@class,  'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])";
    public static String IE002 = "(//span[contains(@class,  'MuiSlider-thumbColorPrimary')]//span[text()='Strongly Disagree'])[2]";
   












    





	
	

	
}
	
	

	