package com.magnifyb.comparingcmsapi;

import java.time.Duration;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.testng.annotations.Test;

import io.github.bonigarcia.wdm.WebDriverManager;

public class HomePage {

	@Test
	public void homePage() throws Exception {
		WebDriverManager.chromedriver().setup();
		WebDriver driver = new ChromeDriver();
		driver.manage().window().maximize();
		String devHomePageURL = "https://magnify.machint.com/home";
		String testHomePageURL = "https://magnifynewtest.machint.com/home";
		driver.get(devHomePageURL);
		driver.manage().timeouts().implicitlyWait(Duration.ofSeconds(30));

		// identify element and input text inside it
		WebElement page1 = driver.findElement(By.tagName("body"));
		String page1Content = page1.getText();
		Thread.sleep(2000);
		driver.get(testHomePageURL);

		WebElement page2 = driver.findElement(By.tagName("body"));
		String page2Content = page2.getText();

		Thread.sleep(2000);
		
		
		if (page1Content.equals(page2Content)) {
			System.out.println("The content of both pages is identical.");
		} else {
			System.out.println("The content of the two pages is different.");
			// Print the differing content
			System.out.println("Content of Page 1:\n" + page1Content);
			System.out.println("Content of Page 2:\n" + page2Content);
		}
		driver.quit();
	}
}
